#ifndef _BLV_TEMPPROMPT_ACTION_H_
#define _BLV_TEMPPROMPT_ACTION_H_

#define LIST_MAXNUM    5              //最大缓存曲数

#include "stdint.h"
#include "CH57x_common.h"		//CH57X 库包含头文件

typedef struct 
{
	uint8_t EnFlag;                   //启用标记

	uint8_t PlayIdnex;   			  //播放序号
	uint32_t DevAddr;                 //音乐设备地址
	uint32_t scan_tick;				  //扫描时间戳
	uint32_t play_delay_tick;			//播放延时时间戳
	
}__attribute__ ((__packed__))MusicList_Struct; 


void TempPrompt_Fun_Init(void);
void AddPrompt_ToList(uint8_t event);
void TempPrompt_Fun_Task(void);

extern MusicList_Struct PlayList;


#endif


